OpenVDB 5.1.0

Public Types | List of all members
Tree3< T, N1, N2 > Struct Template Reference

Tree3<T, N1, N2>::Type is the type of a three-level tree (Root, Internal, Leaf) with value type T and internal and leaf node log dimensions N1 and N2, respectively. More...

`#include <Tree.h>`

## Public Types
using | Type = Tree< RootNode< InternalNode< LeafNode< T, N2 >, N1 > >>

## Detailed Description

### template<typename T, Index N1 = 4, Index N2 = 3>
struct openvdb::v5_1::tree::Tree3< T, N1, N2 >

Tree3<T, N1, N2>::Type is the type of a three-level tree (Root, Internal, Leaf) with value type T and internal and leaf node log dimensions N1 and N2, respectively.

Note
  This is NOT the standard tree configuration (Tree4 is).

## Member Typedef Documentation

## ◆ Type

using Type = Tree<RootNode<InternalNode<LeafNode<T, N2>, N1> >>

The documentation for this struct was generated from the following file:

- Tree.h